# Gimp.Image.get_imported_file

    @accepts(Gimp.Image)
    @returns(Gio.File)
    def get_imported_file(self):
        # Python wrapper for gimp_image_get_imported_file()

Returns the imported file for the specified image.

This procedure returns the file associated with the specified image if the image was imported from a non-native Gimp format. If the image was not imported, or has since been saved in the native Gimp format, this procedure returns None.

Since 2.8

self

  The image.

Returns